ChartServlet (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.web, class: ChartServlet

Package com.google.zxing.web

# Class ChartServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.google.zxing.web.ChartServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

@WebServlet({"/w/chart","/w/chart.png","/w/chart.gif","/w/chart.jpg","/w/chart.jpeg"}) public final class ChartServlet extends jakarta.servlet.http.HttpServlet
A reimplementation of the Google Chart Server's QR code encoder, which is now deprecated. See the chart server parameters wiki page for docs.

Author:
  Sean Owen
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class jakarta.servlet.http.HttpServlet

  `LEGACY_DO_HEAD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChartServlet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doGet(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
  `protected void`
  `doPost(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, init, service, service`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ChartServlet

    public ChartServlet()

- ## Method Details

  - ### doGet

    protected void doGet(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response) throws IOException
    Overrides:
      `doGet` in class `jakarta.servlet.http.HttpServlet`
    Throws:
      `IOException`

  - ### doPost

    protected void doPost(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response) throws IOException
    Overrides:
      `doPost` in class `jakarta.servlet.http.HttpServlet`
    Throws:
      `IOException`